		<?php $clients_logo = get_field( 'clients_logo', 'options' ); if ($clients_logo && !is_404()): ?>
		<section class="our-clients">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php if ($clients_logo['title']): ?>
						<h4 class="title text-center separator"><?php echo $clients_logo['title']; ?></h4>
						<?php endif; ?>

						<?php if ($clients_logo['logos']): ?>
						<ul class="client-logo list-inline align-center-v justify-content-center">
							<?php foreach ($clients_logo['logos'] as $client): ?>
							<li><img src="<?php echo $client['logo']['url']; ?>" class="img-responsive" alt="<?php echo $client['logo']['alt']; ?>"></li>
							<?php endforeach; ?>
						</ul>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</section><!-- /our-clients -->
		<?php endif; ?>
		
		<footer class="footer">
			<div class="footer-top">
				<div class="container">
					<div class="row eq-height">
						<div class="col-md-3 col-sm-4 col-xs-6 col">
							<div class="widget">
								<div class="footer-logo">
									<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
										<?php $logo = get_field( 'footer-logo', 'options' ); if ($logo): ?>
										<img src="<?php echo $logo['url']; ?>" class="img-responsive" alt="<?php echo $logo['alt']; ?>">
										<?php else: ?>
										<img src="<?php echo get_theme_file_uri(); ?>/images/footer-logo.png" class="img-responsive" alt="Health Care">
										<?php endif; ?>
									</a>
								</div>

								<?php $contacts = get_field( 'contacts', 'options' ); if ($contacts): ?>
								<ul class="quick-contact list-unstyled">
									<?php if ($contacts['address']): ?>
									<li class="address">
										<div class="text">
											<a href="<?php echo $contacts['google_map_url']; ?>" target="_blank"><?php echo $contacts['address']; ?></a>
										</div>
									</li>
									<?php endif; ?>

									<?php if ($contacts['phone']): ?>
									<li class="phone">
										<div class="icon pull-left">
											<i class="fa fa-phone"></i>
										</div>

										<div class="text">
											<a href="tel:<?php echo $contacts['phone']; ?>"><?php echo $contacts['phone']; ?></a>
										</div>
									</li>
									<?php endif; ?>

									<?php if ($contacts['email']): ?>
									<li class="email">
										<div class="icon pull-left">
											<i class="fa fa-envelope-o"></i>
										</div>

										<div class="text">
											<a href="mailto:<?php echo $contacts['email']; ?>"><?php echo $contacts['email']; ?></a>
										</div>
									</li>
									<?php endif; ?>
								</ul>
								<?php endif; ?>
							</div>
						</div><!-- /widget -->

						<div class="col-md-3 col-sm-4 col-xs-6 col">
							<div class="widget">
								<?php $footer_menu_title = get_field( 'footer_menu_title', 'options' ); if ($footer_menu_title): ?>
								<h5 class="widget-title separator"><?php echo $footer_menu_title; ?></h5>
								<?php endif; ?>

								<?php 
							  		wp_nav_menu( array(
			                            'menu'               => 'Footer menu',
			                            'theme_location'     => 'menu-2',
			                            'depth'              => 1,
			                            'container'          => 'false',
			                            'menu_class'         => 'list list-unstyled',
			                            'menu_id'            => '',
			                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
			                            'walker'             => new wp_bootstrap_navwalker(),
			                        ));
			                    ?>
							</div>
						</div><!-- /widget -->
						
						<?php $connect_us = get_field( 'connect_us', 'options' ); $social_media = get_field( 'social_media', 'options' ); if ($connect_us || $social_media): ?>
						<div class="col-md-3 col-sm-4 col-xs-6 col">
							<div class="widget">
								<?php if ($connect_us['title']): ?>
								<h5 class="widget-title separator"><?php echo $connect_us['title']; ?></h5>
								<?php endif; ?>

								<?php if ($social_media): ?>
								<ul class="social-media list-inline">
									<?php foreach ($social_media as $social): ?>
									<li><a href="<?php echo $social['url']; ?>" target="_blank"><i class="fa <?php echo $social['icon']['value']; ?>"></i></a></li>
									<?php endforeach; ?>
								</ul>
								<?php endif; ?>

								<a href="<?php echo $connect_us['link']; ?>" target="_blank">
									<?php if ($connect_us['image']): ?>
									<img src="<?php echo $connect_us['image']['url']; ?>" class="img-responsive" alt="<?php echo $connect_us['image']['alt']; ?>">
									<?php endif; ?>
								</a>
							</div>
						</div><!-- /widget -->
						<?php endif; ?>
					</div>
				</div>
			</div>

			<div class="footer-bottom">
				<div class="container">
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="copyright">
								<?php $copyright = get_field( 'copyright', 'options' ); if ($copyright): ?>
									<p><?php echo $copyright; ?></p>
								<?php else: ?>
									<p>Copyright &copy;<?=date('Y')?> <?php echo get_bloginfo( 'name' ); ?>. All Rights Reserved</p>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</footer><!-- /footer -->
		<a class="scrollToTop"><i class="fa fa-angle-up"></i></a>
		<?php wp_footer(); ?>
	</body>
</html>