<?php
/*
Template Name: Home
*/
get_header(); ?>

	<?php $banner = get_field( 'banner' ); if ($banner): ?>
	<section class="banner">
		<div class="slider-progress"><div class="progress"></div></div>
		<div class="banner-slider">
			<?php foreach ($banner as  $slide): ?>
			<div class="item coverbg align-center-v" style="background-image: url(<?php echo $slide['image']['url']; ?>);">
				<div class="container">
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="content <?php echo $slide['position']; ?>">
								<?php if ($slide['sub_title']): ?>
								<div class="sub-title-wrap">
									<h2 data-animation="<?php echo $slide['sub_title_animation']; ?>" data-delay="<?php echo $slide['sub_title_delay']; ?>" class="sub-title text-uppercase"><?php echo $slide['sub_title']; ?></h2>
								</div>
								<?php endif; ?>

								<?php if ($slide['title']): ?>
								<h1 data-animation="<?php echo $slide['title_animation']; ?>" data-delay="<?php echo $slide['title_delay']; ?>" class="title text-uppercase"><?php echo $slide['title']; ?></h1>
								<?php endif; ?>

								<?php if ($slide['button_text']): ?>
								<div data-animation="<?php echo $slide['button_animation']; ?>" data-delay="<?php echo $slide['button_delay']; ?>" class="btn-wrap">
									<a href="<?php echo $slide['button_url']; ?>" class="btn"><?php echo $slide['button_text']; ?></a>
								</div>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<?php endforeach; ?>
		</div>
	</section><!-- /banner -->
	<?php endif; ?>

	<div id="primary" class="content-area">

		<?php $featured = get_field( 'featured' ); if ($featured): ?>
		<section class="home-products">
			<div class="container">
				<div class="row eq-height mt-100">
					<?php foreach ($featured as $feature): ?>
					<div class="col-md-3 col-sm-3 col-xs-12">
						<a href="<?php echo $feature['button']['url']; ?>" class="product" style="color: <?php echo $feature['color']; ?>">
							<?php if ($feature['icon']): ?>
							<img src="<?php echo $feature['icon']['url']; ?>" class="img-responsive" alt="<?php echo $feature['icon']['alt']; ?>" width="60px">
							<?php endif; ?>

							<?php if ($feature['title']): ?>
							<h4 class="title text-uppercase"><?php echo $feature['title']; ?></h4>
							<?php endif; ?>

							<?php if ($feature['button']): ?>
							<button class="btn"><?php echo $feature['button']['text']; ?></button>
							<?php endif; ?>
						</a>
					</div>
					<?php endforeach; ?>
				</div>
			</div>
		</section><!-- /products -->
		<?php endif; ?>
		
		<?php $carriers = get_field( 'carriers_including' ); if ($carriers): ?>
		<section class="carriers-including">
			<div class="container">
				<?php if ($carriers['title']): ?>
				<div class="row justify-content-center">
					<div class="col-md-8 col-sm-8 col-xs-12">
						<div class="section-title text-center">
							<h2 class="title text-uppercase"><?php echo $carriers['title']; ?></h2>
							<div class="title-icon">
			                	<img src="<?php echo get_theme_file_uri(); ?>/images/title-icon-hst.png" class="img-responsive" alt="">
			              	</div>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php if ($carriers['logos']): ?>
				<div class="row">
					<div class="carriers-including-slider">
						<?php foreach ($carriers['logos'] as $logo): ?>
						<div class="col-md-3 col-sm-4 col-xs-6 col">
							<div class="item">
								<img src="<?php echo $logo['logo']['url']; ?>" class="img-responsive" alt="<?php echo $logo['logo']['alt']; ?>">
							</div>
						</div>
						<?php endforeach; ?>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /carriers-including -->
		<?php endif; ?>

	</div><!-- /primary -->

<?php get_footer(); ?>