<?php
/*
Template Name: Products
*/
get_header(); ?>
	
	<div id="primary" class="content-area">

		<?php $p_content = get_field( 'product_content' ); $p_sidebar_one = get_field( 'product_sidebar_one' ); $p_sidebar_two = get_field( 'product_sidebar_two' ); if ($p_content || $p_sidebar_one || $p_sidebar_two): $esc = $p_sidebar_one || $p_sidebar_one ? 'col-md-8 col-sm-7' : 'col-md-12 col-sm-12';
		?>
		<section class="product-page">
			<div class="container">
				<div class="row">
					<?php if ($p_content['title'] || $p_content['image'] || $p_content['sub_title'] || $p_content['content']): ?>
					<div class="<?php echo $esc; ?> col-xs-12">
						<div class="content">
							<?php if ($p_content['title']): ?>
							<h1 class="title"><strong><?php echo $p_content['title']; ?></strong></h1>
							<?php endif; ?>

							<?php if ($p_content['image']): ?>
							<div class="media pull-left">
								<img src="<?php echo $p_content['image']['url']; ?>" class="img-responsive" alt="<?php echo $p_content['image']['alt']; ?>">
							</div>
							<?php endif; ?>

							<?php if ($p_content['sub_title'] || $p_content['content']): ?>
							<div class="event-details">
								<?php if ($p_content['sub_title']): ?>
								<h4><?php echo $p_content['sub_title']; ?></h4>
								<?php endif; ?>

								<?php echo $p_content['content']; ?>
				            </div>
							<?php endif; ?>
						</div>
					</div>
					<?php endif; ?>

					<?php if ($p_sidebar_one || $p_sidebar_two): ?>
					<div class="col-md-4 col-sm-5 col-xs-12">
						<div id="sidebar" class="row eq-height justify-content-center">
							<?php if ($p_sidebar_one): ?>
							<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="widget text-center">
									<?php if ($p_sidebar_one['title']): ?>
									<h2><?php echo $p_sidebar_one['title']; ?></h2>
									<?php endif; ?>

									<?php if ($p_sidebar_one['button']['text']): ?>
										<?php if ($p_sidebar_one['button']['type'] == 'internal'): ?>
											<a href="<?php echo $p_sidebar_one['button']['internal_url'] ?>" class="btn text-uppercase"><?php echo $p_sidebar_one['button']['text']; ?></a>
										<?php elseif($p_sidebar_one['button']['type'] == 'external'): ?>
											<a href="<?php echo $p_sidebar_one['button']['external_url'] ?>" class="btn text-uppercase" target="_blank"><?php echo $p_sidebar_one['button']['text']; ?></a>
										<?php endif; ?>
									<?php endif; ?>
								</div>
							</div>
							<?php endif; ?>

							<?php if ($p_sidebar_two): ?>
							<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="widget">
									<?php if ($p_sidebar_two['title']): ?>
									<h5 class="widget-title separator"><?php echo $p_sidebar_two['title']; ?></h5>
									<?php endif; ?>

									<?php if ($p_sidebar_two['logos']): ?>
									<div class="logo-slider">
										<?php foreach ($p_sidebar_two['logos'] as $sidebar_two_logo): ?>
										<div class="item">
											<img src="<?php echo $sidebar_two_logo['logo']['url']; ?>" class="img-responsive" alt="<?php echo $sidebar_two_logo['logo']['alt']; ?>">
										</div>
										<?php endforeach; ?>
									</div>
									<?php endif; ?>
								</div>
							</div>
							<?php endif; ?>
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</section><!-- /product-page -->
		<?php endif; ?>
		
		<?php $counter = get_field( 'counter' ); if ($counter): ?>
		<section class="counter">
			<div class="container">
				<div class="row">
					<?php foreach ($counter as $count): ?>
					<div class="col-md-3 col-sm-6 col-xs-6 col">
						<div class="funfact text-center">
							<?php if ($count['icon']): ?>
			              	<i class="<?php echo $count['icon']; ?>"></i>
							<?php endif; ?>

							<?php if ($count['number']): ?>
			             	<h2 class="animate-number"><?php echo $count['number']; ?></h2>
							<?php endif; ?>

							<?php if ($count['title']): ?>
			              	<h5 class="title text-uppercase"><?php echo $count['title']; ?></h5>
							<?php endif; ?>
			            </div>
					</div>
					<?php endforeach; ?>
				</div>
			</div>
		</section><!-- /counter -->
		<?php endif; ?>

	</div><!-- /primary -->

<?php get_footer(); ?>